# inspired from fedora spec file

%define github_name     simplepie
%define composer_name   simplepie
%define composer_vendor simplepie

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:       php-%{composer_name}
Version:    1.8.0
Release:    %mkrel 2
Summary:    A simple Atom/RSS parsing library for PHP
Group:      Development/PHP
License:    BSD
URL:        https://simplepie.org/
Source0:    https://github.com/simplepie/simplepie/archive/refs/tags/%{version}.tar.gz
# Adapt autoloader for installation tree
Patch0:     %{name}-rpm.patch
BuildArch:  noarch
BuildRequires:  mercurial

Requires:    php-curl
Requires:    php-dom
Requires:    php-iconv
Requires:    php-mbstring
Requires:    php-pcre
Requires:    php-pdo
Requires:    php-xml
# Optional: memcache, memcached, redis, xmlreader, zlib
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
SimplePie is a very fast and easy-to-use class, written in PHP, that puts the 
'simple' back into 'really simple syndication'. Flexible enough to suit 
beginners and veterans alike, SimplePie is focused on speed, ease of use, 
compatibility and standards compliance.

Autoloader: %{php_libdir}/%{name}/autoloader.php


%prep
%autosetup -S hg -n %{github_name}-%{version}

# fix rpmlint warnings
find . -type f -exec chmod -x {} \;
# drop demo; contains flash files
rm -rf demo

%build

%install
mkdir -p %{buildroot}/%{php_libdir}/
cp -ar library %{buildroot}/%{php_libdir}/%{name}

install -pm 644 autoloader.php \
    %{buildroot}/%{php_libdir}/%{name}/autoloader.php

%files
%doc LICENSE.txt
%{php_libdir}/%{name}


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.8.0-2.mga10
+ Revision: 2228474
- Mageia 10 Mass Rebuild

* Wed Oct 02 2024 mokraemer <mokraemer> 1.8.0-1.mga10
+ Revision: 2102614
- new version 1.8.0

* Sat Nov 19 2022 mokraemer <mokraemer> 1.7.0-1.mga9
+ Revision: 1908802
- repatch
- new version 1.7.0

* Wed Aug 24 2022 neoclust <neoclust> 1.6.0-1.mga9
+ Revision: 1880138
- New version 1.6.0

* Tue Apr 19 2022 mokraemer <mokraemer> 1.5.8-1.mga9
+ Revision: 1851937
- new version 1.5.8

* Mon Mar 21 2022 umeabot <umeabot> 1.5.4-3.mga9
+ Revision: 1812203
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 1.5.4-2.mga8
+ Revision: 1541485
- Mageia 8 Mass Rebuild

* Sat Dec 28 2019 guillomovitch <guillomovitch> 1.5.4-1.mga8
+ Revision: 1474522
- new version 1.5.4

* Sat Oct 12 2019 guillomovitch <guillomovitch> 1.5.3-1.mga8
+ Revision: 1452396
- new version 1.5.3

* Mon Dec 31 2018 mokraemer <mokraemer> 1.5.2-1.mga7
+ Revision: 1347618
- new version 1.5.2

* Thu Sep 20 2018 umeabot <umeabot> 1.5.1-2.mga7
+ Revision: 1287872
- Mageia 7 Mass Rebuild

* Fri Dec 22 2017 guillomovitch <guillomovitch> 1.5.1-1.mga7
+ Revision: 1183995
- new version 1.5.1

* Sun May 07 2017 guillomovitch <guillomovitch> 1.4.3-2.mga6
+ Revision: 1099486
- kill optional dependency on php-IDNA_Convert

* Wed Apr 19 2017 guillomovitch <guillomovitch> 1.4.3-1.mga6
+ Revision: 1096837
- imported package php-simplepie

